> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.whizcozy.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.whizcozy.com/_mcp/server.

# List Files

GET https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/{firm_slug}/uploads

List files for a firm with pagination, filters, search, and sorting.

Firm filtering is enforced by the `{firm_slug}` path and membership check.

Reference: https://docs.whizcozy.com/api-reference/whiz-board-api/uploads/list-files-api-v-1-firms-firm-slug-uploads-get

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Path parameters

- `firm_slug` (string, required)

### Query parameters

- `page` (integer, optional, default: 1)
- `page_size` (integer, optional, default: 20)
- `search` (string, optional, nullable) — Search by file name
- `type` (string, optional, nullable) — MIME type filter. Supports exact or partial values.
- `mime_type` (string, optional, nullable)
- `status` (enum, optional, nullable) — Lifecycle status for a file upload/processing pipeline. Shared between: - FileMetadata.status (overall file) - FileChunk.status (each uploaded chunk)
  - Allowed values: `PENDING`, `UPLOADING`, `UPLOADED`, `PROCESSING`, `COMPLETED`, `FAILED`, `ABANDONED`, `CANCELED`, `DELETED`
- `owner` (string, optional, nullable) — Owner name, email, or numeric user id
- `owner_id` (integer, optional, nullable)
- `shared_with_user_id` (integer, optional, nullable) — Filter files shared with a firm member user id
- `accessible_to_user_id` (integer, optional, nullable) — Filter files either owned by this user or shared with this user
- `label_ids` (list of integer, optional, default: []) — Filter by label ids. Repeat label_ids or pass multiple values.
- `label_match` (enum, optional, default: any)
  - Allowed values: `any`, `all`
- `modified_from` (datetime, optional, nullable)
- `modified_to` (datetime, optional, nullable)
- `include_deleted` (boolean, optional, default: false)
- `include_chat_uploads` (boolean, optional, default: false)
- `sort_by` (enum, optional, default: last_modified)
  - Allowed values: `name`, `owner`, `last_modified`, `size`, `mime_type`, `status`
- `sort_order` (enum, optional, default: desc)
  - Allowed values: `asc`, `desc`

## Response

### 200

Successful Response

- `data` (FileListResponse, required)
- `status` (string, optional, default: success)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### FileListResponse

- `items` (list of FileListItem, required)
- `page` (integer, required)
- `page_size` (integer, required)
- `total` (integer, required)
- `total_pages` (integer, required)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)
- `input` (any, optional)
- `ctx` (ValidationErrorCtx, optional)

### FileListItem

- `id` (integer, required)
- `name` (string, required)
- `owner` (FileOwnerResponse, required)
- `last_modified` (datetime, required, nullable)
- `size` (integer, required)
- `mime_type` (string, required, nullable)
- `status` (enum, required, nullable) — Lifecycle status for a file upload/processing pipeline. Shared between: - FileMetadata.status (overall file) - FileChunk.status (each uploaded chunk)
  - Allowed values: `PENDING`, `UPLOADING`, `UPLOADED`, `PROCESSING`, `COMPLETED`, `FAILED`, `ABANDONED`, `CANCELED`, `DELETED`
- `store_link` (string, required, nullable)
- `shared_with` (list of FileShareUserResponse, optional)
- `labels` (list of LabelResponse, optional)

### ValidationErrorLocItems

### ValidationErrorCtx

### FileOwnerResponse

- `id` (integer, required, nullable)
- `name` (string, required, nullable)
- `email` (string, required, nullable)

### FileShareUserResponse

- `id` (integer, required)
- `name` (string, required, nullable)
- `email` (string, required)
- `permission_type` (string, required)

### LabelResponse

- `id` (integer, required)
- `label` (string, required)
- `color` (string, required)
- `created_at` (datetime, optional, nullable)
- `updated_at` (datetime, optional, nullable)

## Examples

**Response**

```json
{
  "data": {
    "items": [
      {
        "id": 1,
        "name": "string",
        "owner": {
          "id": 1,
          "name": "string",
          "email": "string"
        },
        "last_modified": "2024-01-15T09:30:00Z",
        "size": 1,
        "mime_type": "string",
        "status": "PENDING",
        "store_link": "string",
        "shared_with": [
          {
            "id": 1,
            "name": "string",
            "email": "string",
            "permission_type": "string"
          }
        ],
        "labels": [
          {
            "id": 1,
            "label": "string",
            "color": "string",
            "created_at": "2024-01-15T09:30:00Z",
            "updated_at": "2024-01-15T09:30:00Z"
          }
        ]
      }
    ],
    "page": 1,
    "page_size": 1,
    "total": 1,
    "total_pages": 1
  },
  "status": "success"
}
```

**SDK Code**

```python
import requests

url = "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```